package com.zilber.boot.file.entity;

import com.aliyun.oss.model.PartETag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author LJX
 * @TIME 2023-01-09 15:52
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Data
@Component
@ApiModel("oss分片上传完成合并请求")
public class OssComplete extends OssProperties{

    @NotBlank(message = "上传id不能为空")
    @ApiModelProperty(value = "上传id", required = true)
    private String uploadId;

    @NotBlank(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称", required = true)
    private String key;

    @NotBlank(message = "md5不能为空")
    @ApiModelProperty(value = "md5", required = true)
    private String md5;

    @NotNull(message = "tag列表不能为空")
    @ApiModelProperty("tag列表")
    private List<ETag> tags;

}
