package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotBlank;

/**
 * @Author LJX
 * @TIME 2023-01-09 16:19
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Data
@Component
@ApiModel("oss获取切片列表")
public class OssListParts extends OssProperties {

    @NotBlank(message = "上传id不能为空")
    @ApiModelProperty(value = "上传id", required = true)
    private String uploadId;

    @NotBlank(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称", required = true)
    private String key;

    @ApiModelProperty(value = "每页块数")
    private Integer maxParts = 100;

    @ApiModelProperty(value = "开始块数")
    private Integer partNumberMarker = 1;

}
