package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author LJX
 * @TIME 2023-01-09 15:03
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Data
@Component
@ApiModel("oss分片上传")
public class OssPartUpload extends OssProperties{

    @NotNull(message = "未上传文件")
    @ApiModelProperty(value = "文件", required = true)
    private MultipartFile file;

    @NotBlank(message = "上传id不能为空")
    @ApiModelProperty(value = "上传id", required = true)
    private String uploadId;

    @NotBlank(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称", required = true)
    private String key;

    @NotNull(message = "分页号不能为空")
    @ApiModelProperty(value = "分页号", required = true)
    private int partNumber;

    @NotNull(message = "分页大小不能为空")
    @ApiModelProperty(value = "分页大小", required = true)
    private long partSize;

}
