package com.zilber.boot.intelligencesite.controller;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.zilber.boot.annotation.Anonymous;
import com.zilber.boot.commoncontroller.BaseController;
import com.zilber.boot.intelligencesite.entity.IEngineerLog;
import com.zilber.boot.intelligencesite.service.IIEngineerLogService;
import com.zilber.boot.utils.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 工程日志 前端控制器
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@RestController
@RequestMapping("/iengineerlog")
@Api(tags = "工程日志")
public class IEngineerLogController extends BaseController {

    @Resource
    private IIEngineerLogService iiEngineerLogService;


    @GetMapping("/list")
    @ApiOperation(value="分页查询",notes="分页查询")
    @ResponseBody
    public AjaxResult queryList(IEngineerLog iEngineerLog, @RequestParam(defaultValue = "1") Integer pageNo,
                                @RequestParam(defaultValue = "10") Integer pageSize) {
        PageHelper.startPage(pageNo, pageSize);
        List<IEngineerLog> iEngineerLogs = iiEngineerLogService.queryList(iEngineerLog);
        PageInfo<IEngineerLog> page = new PageInfo<>(iEngineerLogs);
        return AjaxResult.success(page);
    }

    /***
     * 查询单个
     */
    @GetMapping("/getById")
    @ApiOperation("查询单个")
    public AjaxResult getById(Integer id) {
        return AjaxResult.success(iiEngineerLogService.getById(id));
    }


    @PostMapping("/add")
    @ApiOperation("增加")
    public AjaxResult add(@RequestBody IEngineerLog iEngineerLog) {
        iEngineerLog.setCreateTime(new Date());
        iEngineerLog.setCreator(getUsername());
        return AjaxResult.success(iiEngineerLogService.save(iEngineerLog));
    }


    @PutMapping("/update")
    @ApiOperation("修改")
    public AjaxResult update(@RequestBody @Validated IEngineerLog iEngineerLog) {
        iiEngineerLogService.updateById(iEngineerLog);
        return AjaxResult.success();
    }

    @DeleteMapping("/delete")
    @ApiOperation("删除")
    public AjaxResult delete(Integer id) {
        return AjaxResult.success(iiEngineerLogService.removeById(id));
    }


}
