package com.zilber.boot.intelligencesite.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 工程日志
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("i_engineer_log")
@ApiModel(value="IEngineerLog对象", description="工程日志")
public class IEngineerLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    @ApiModelProperty(value = "天气")
    private String weather;


    @ApiModelProperty(value = "温度")
    private String temperature;

    @ApiModelProperty(value = "风力")
    private String wind;

    @ApiModelProperty(value = "现场负责人姓名")
    private String principalName;


    @ApiModelProperty(value = "现场负责人联系方式")
    private String principalTel;


    @ApiModelProperty(value = "施工情况")
    private String constructionSituation;

    @ApiModelProperty(value = "其他事项")
    private String otherBusiness;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;


}
