package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IProgress;
import com.zilber.boot.intelligencesite.mapper.IProgressMapper;
import com.zilber.boot.intelligencesite.service.IIProgressService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zilber.boot.utils.AjaxResult;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 进度跟踪表 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IProgressServiceImpl extends ServiceImpl<IProgressMapper, IProgress> implements IIProgressService {

    @Resource
    private IProgressMapper iProgressMapper;

    @Override
    public List<IProgress> queryList(IProgress iProgress) {
        return iProgressMapper.queryList(iProgress);
    }

    @Override
    public AjaxResult add(IProgress iProgress) {
        List<IProgress> list=iProgressMapper.queryList(new IProgress().setPlanId(iProgress.getPlanId()));
        long total = list.stream().mapToLong(IProgress::getDayProgress).sum();
        if(iProgress.getDayProgress()+total>100){
            return AjaxResult.error("已超出最大值，最大值应为"+ (100 - total));
        }
        return AjaxResult.success(iProgressMapper.insert(iProgress));
    }
}
