package com.zilber.boot.module.vehicle.util.http;

import com.alibaba.fastjson2.JSONObject;
import org.apache.http.Header;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicHeader;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Author LJX
 * @TIME 2025-05-06 11:45
 * @PROJECT intelligence-site
 * created by Intellij IDEA
 * Description 调用途强api的工具类
 */
public class HttpUtils {

    public static JSONObject sendPost(String url, Map<String, String> headerMap, Map<String, String> paramMap) {
        try {
            HttpPost post = new HttpPost(url);
            List<NameValuePair> list = new ArrayList<NameValuePair>();
            for (String key : paramMap.keySet()) {
                list.add(new BasicNameValuePair(key, paramMap.get(key)));
            }
            post.setEntity(new UrlEncodedFormEntity(list, "UTF-8"));
            if (null != headerMap) {
                post.setHeaders(assemblyHeader(headerMap));
            }

            CloseableHttpClient httpClient = HttpClients.createDefault();
            HttpResponse response = httpClient.execute(post);
            HttpEntity entity = response.getEntity();
            String result = EntityUtils.toString(entity, "utf-8");
            System.out.println(result);
            return JSONObject.parseObject(result);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    public static String sendGet(String url) {
        try {
            HttpGet get = new HttpGet(url);
            List<NameValuePair> list = new ArrayList<NameValuePair>();
//            for (String key : paramMap.keySet()) {
//                list.add(new BasicNameValuePair(key, paramMap.get(key)));
//            }
//            post.setEntity(new UrlEncodedFormEntity(list, "UTF-8"));
//            if (null != headerMap) {
//                post.setHeaders(assemblyHeader(headerMap));
//            }

            CloseableHttpClient httpClient = HttpClients.createDefault();
            HttpResponse response = httpClient.execute(get);
            HttpEntity entity = response.getEntity();
            String result = EntityUtils.toString(entity, "utf-8");
            System.out.println(result);
            return result;
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    /**
     * 组装头部信息
     *
     * @param headers
     * @return
     */
    private static Header[] assemblyHeader(Map<String, String> headers) {
        Header[] allHeader = new BasicHeader[headers.size()];
        int i = 0;
        for (String str : headers.keySet()) {
            allHeader[i] = new BasicHeader(str, headers.get(str));
            i++;
        }
        return allHeader;
    }

}
