package com.zilber.boot.system.pojo;


import com.zilber.boot.utils.StringUtils;
import io.swagger.annotations.ApiModelProperty;

/**
 * 缓存信息
 *
 * @author lsc
 */
public class SysCache
{
    @ApiModelProperty(value = "缓存名称")
    private String cacheName = "";

    @ApiModelProperty(value = "缓存键名")
    private String cacheKey = "";

    @ApiModelProperty(value = "缓存内容")
    private String cacheValue = "";

    @ApiModelProperty(value = "备注")
    private String remark = "";

    public SysCache()
    {

    }

    public SysCache(String cacheName, String remark)
    {
        this.cacheName = cacheName;
        this.remark = remark;
    }

    public SysCache(String cacheName, String cacheKey, String cacheValue)
    {
        this.cacheName = StringUtils.replace(cacheName, ":", "");
        this.cacheKey = StringUtils.replace(cacheKey, cacheName, "");
        this.cacheValue = cacheValue;
    }

    public String getCacheName()
    {
        return cacheName;
    }

    public void setCacheName(String cacheName)
    {
        this.cacheName = cacheName;
    }

    public String getCacheKey()
    {
        return cacheKey;
    }

    public void setCacheKey(String cacheKey)
    {
        this.cacheKey = cacheKey;
    }

    public String getCacheValue()
    {
        return cacheValue;
    }

    public void setCacheValue(String cacheValue)
    {
        this.cacheValue = cacheValue;
    }

    public String getRemark()
    {
        return remark;
    }

    public void setRemark(String remark)
    {
        this.remark = remark;
    }
}
