package com.zilber.boot.system.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "系统数据字典",description = "包含系统分类管理")
@TableName("sys_dictionary")
@Data
public class SysDictionary {

    @ApiModelProperty(name = "自增ID",notes = "")
    @TableId(type = IdType.AUTO)
    private Long id ;

    /** 字典编码 */
    @ApiModelProperty(name = "字典编码",notes = "")
    private String code ;

    /** 字典名称 */
    @ApiModelProperty(name = "字典名称",notes = "")
    private String name ;

    /** 字典值 */
    @ApiModelProperty(name = "字典值",notes = "")
    private String value ;

    /** 字典描述 */
    @ApiModelProperty(name = "字典描述",notes = "")
    private String remark ;

    /** 字典级别 */
    @ApiModelProperty(name = "字典级别",notes = "")
    private Integer level ;

    /** 多层级字典路径 */
    @ApiModelProperty(name = "多层级字典路径",notes = "")
    private String path ;

    /** 父级节点ID */
    @ApiModelProperty(name = "父级节点ID",notes = "")
    private Long parentId ;

    /** 关联业务编码 */
    @ApiModelProperty(name = "关联业务编码",notes = "")
    private String contactCode ;

    /** 删除标识 0=删除;1=生效 */
    @ApiModelProperty(name = "删除标识 0=删除;1=生效",notes = "")
    private Integer isDel = 1;

    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sort ;

    @ApiModelProperty(name = "子节点",notes = "")
    @TableField(exist = false)
    private List<SysDictionary> subSysDictionaryList;

    @ApiModelProperty(name = "父节点",notes = "")
    @TableField(exist = false)
    private SysDictionary parentSysDictionary;

    @ApiModelProperty(name = "导入附件-ID", notes = "")
    @TableField(exist = false)
    private Long fileId;


}
