package com.zilber.boot.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zilber.boot.file.dao.FileDao;
import com.zilber.boot.system.dao.SysDictionaryMapper;
import com.zilber.boot.system.pojo.SysDictionary;
import com.zilber.boot.system.service.ISysDictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class SysDictionaryServiceImpl extends ServiceImpl<SysDictionaryMapper, SysDictionary> implements ISysDictionaryService {
    @Autowired
    private SysDictionaryMapper sysDictionaryMapper;

    @Value("${zilberboot.profile}")
    private String localtion;

    @Autowired
    private FileDao fileDao;


    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean addDict(SysDictionary sysDictionary) {
        sysDictionaryMapper.insert(sysDictionary);

        Long parentId = sysDictionary.getParentId();
        if(parentId != null && parentId > 0L){
            SysDictionary parentDict = getById(parentId);
            if(parentDict != null){
                sysDictionary.setLevel(parentDict.getLevel() + 1);
                sysDictionary.setPath(parentDict.getPath() + sysDictionary.getId()+",");
            }
        }else{
            sysDictionary.setParentId(0L);
            sysDictionary.setLevel(1);
            sysDictionary.setPath(",0,"+sysDictionary.getId()+",");
        }
        return updateById(sysDictionary);
    }

    @Override
    public int delDict(Long id) {
        SysDictionary sysDictionary = new SysDictionary();
        sysDictionary.setIsDel(0);
        LambdaQueryWrapper<SysDictionary> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(SysDictionary::getId, id);
        return sysDictionaryMapper.update(sysDictionary, queryWrapper);
    }

    @Override
    public List<SysDictionary> getList(SysDictionary sysDictionary) {
        return sysDictionaryMapper.getList(sysDictionary);
    }
}
